- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

# transcoder.h File Reference

## Namespaces
namespace | log4cxx
namespace | log4cxx::helpers
## Classes
class | Transcoder
| Simple transcoder for converting between external char and wchar_t strings and internal strings. More...
## Defines
#define | LOG4CXX_ENCODE_CHAR(var, src)
#define | LOG4CXX_DECODE_CHAR(var, src)
#define | LOG4CXX_DECODE_CFSTRING(var, src)
#define | LOG4CXX_ENCODE_CFSTRING(var, src) CFStringRef var = log4cxx::helpers::Transcoder::encode(src)
#define | LOG4CXX_ENCODE_WCHAR(var, src)
#define | LOG4CXX_DECODE_WCHAR(var, src)
#define | LOG4CXX_ENCODE_UNICHAR(var, src)
#define | LOG4CXX_DECODE_UNICHAR(var, src)

## Define Documentation

#define LOG4CXX_DECODE_CFSTRING | ( | var,
|  | src |  | ) |

| Value:
    log4cxx::LogString var;                      \
    log4cxx::helpers::Transcoder::decode(src, var)

#define LOG4CXX_DECODE_CHAR | ( | var,
|  | src |  | ) |

| Value:
    log4cxx::LogString var;                      \
    log4cxx::helpers::Transcoder::decode(src, var)

#define LOG4CXX_DECODE_UNICHAR | ( | var,
|  | src |  | ) |

| Value:
    log4cxx::LogString var;                      \
    log4cxx::helpers::Transcoder::decode(src, var)

#define LOG4CXX_DECODE_WCHAR | ( | var,
|  | src |  | ) |

| Value:
    log4cxx::LogString var;                      \
    log4cxx::helpers::Transcoder::decode(src, var)

#define LOG4CXX_ENCODE_CFSTRING | ( | var,
|  | src |  | ) | CFStringRef var = log4cxx::helpers::Transcoder::encode(src)

#define LOG4CXX_ENCODE_CHAR | ( | var,
|  | src |  | ) |

| Value:
    std::string var;                      \
    log4cxx::helpers::Transcoder::encode(src, var)

#define LOG4CXX_ENCODE_UNICHAR | ( | var,
|  | src |  | ) |

| Value:
    std::basic_string<UniChar> var;          \
    log4cxx::helpers::Transcoder::encode(src, var)

#define LOG4CXX_ENCODE_WCHAR | ( | var,
|  | src |  | ) |

| Value:
    std::wstring var;                      \
    log4cxx::helpers::Transcoder::encode(src, var)